Name:           vcdimager
Version:        0.7.23
Release:        2%{?dist}
Summary:        VideoCD mastering and ripping tool

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.gnu.org/software/vcdimager/
Source0:        http://www.vcdimager.org/pub/vcdimager/vcdimager-0.7/vcdimager-0.7.23.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libxml2-devel >= 0:2.3.8
BuildRequires:  popt >= 0:1.7
BuildRequires:  libcdio-devel >= 0:0.72
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires(post): /sbin/ldconfig
Requires:       libxml2 >= 0:2.3.8

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from MPEG
files. These can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

Also included is VCDRip which does the reverse operation, that is to
rip MPEG streams from images or burned VideoCDs and to show
information about a VideoCD.

%package        devel
Summary:        Header files and static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libcdio-devel

%description    devel
This package contains header files and static libraries for %{name}.


%prep
%setup -q


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/vcdimager.info %{_infodir}/info 2>/dev/null || :
/sbin/install-info %{_infodir}/vcddump.info %{_infodir}/info 2>/dev/null || :
/sbin/install-info %{_infodir}/vcdxrip.info %{_infodir}/info 2>/dev/null || :
 
%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/vcdimager.info \
    %{_infodir}/info 2>/dev/null || :
  /sbin/install-info --delete %{_infodir}/vcdump.info \
    %{_infodir}/info 2>/dev/null || :
  /sbin/install-info --delete %{_infodir}/vcdxrip.info \
    %{_infodir}/info 2>/dev/null || :
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS FAQ TODO COPYING ChangeLog* NEWS README THANKS
%doc frontends/xml/videocd.dtd
%{_bindir}/*
%{_infodir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{_includedir}/libvcd
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon May 29 2006 Aurox Core Team <act@aurox.org>
- Auto rebuild for Aurox 12.0

* Mon Mar 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.7.23-2
- Drop Epoch completely

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Thu Sep 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.23-0.lvn.1
- 0.7.23.

* Thu Jul 28 2005 Dams <anvil[AT]livna.org> - 0:0.7.21-0.lvn.2
- Rebuilt against new libcdd/libcdio

* Sun Apr 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.21-0.lvn.1
- 0.7.21, patches applied upstream.

* Wed Sep 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.20-0.lvn.4
- Fix libvcdinfo.pc.
- Change source URL back to vcdimager.org.
- Disable dependency tracking to speed up the build.

* Tue Aug 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.7.20-0.lvn.3
- Patched type mismatch error in vcd_image_sink_write.

* Sun Aug 15 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.7.20-0.lvn.2
- Changed source URL to unofficial mirror. Official locations have been dead for months.

* Sun May 23 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.7.20-0.lvn.1
- Updated to 0.7.20.
- Brought in line with current fedora.us spec template.
- Added BuildReq libcdio-devel.
- Added -devel subpackage.
- Disabled building of PostScript documentation; it is already available as info pages.
- Rewrote description.
- Added missing Requires(post,preun) /sbin/install-info.
- Converted spec file to UTF-8.

* Sun May 23 2004 Dams <anvil[AT]livna.org> 0:0.7.14-0.lvn.4
- s/buildroot/RPM_BUILD_ROOT

* Sun May 23 2004 Dams <anvil[AT]livna.org> 0:0.7.14-0.lvn.3
- Updated URL in Source0

* Sun Apr 27 2003 Warren Togami <warren@togami.com> 0:0.7.14-0.fdr.2
- BuildRequires: tetex-dvips

* Wed Apr 23 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.7.14-0.fdr.1
- Updated to 0.7.14.
- Added DTD.
- Added PostScript versions of documentation.
- BuildRequires: popt >= 0:1.6, texinfo.
- Requires: libxml2 >= 0:2.3.8.
- Removed INSTALL from documentation, added HACKING.
- Initial Fedora RPM release.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Fri Feb 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.13.
- Removed the now unnecessary libxml fix.

* Tue Jan 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix xmlversion.h include path in configure since xml is disabled otherwise,
  thanks to Rudolf Kastl for spotting the problem.

* Fri Jan  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Let's try the 1 year old 0.7 development branch!

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Sat Jan 20 2001 Herbert Valerio Riedel <hvr@gnu.org>
- added THANKS file as doc

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file

